import request from "@/utils/request";

// 查询租户列表
export function listTenant(query) {
  return request({
    url: "/sys/tenant/list",
    method: "get",
    params: query,
  });
}

// 查询租户详细
export function getTenant(tenantId) {
  return request({
    url: "/sys/tenant/" + tenantId,
    method: "get",
  });
}

// 新增租户
export function addTenant(data) {
  return request({
    url: "/sys/tenant",
    method: "post",
    data: data,
  });
}

// 修改租户
export function updateTenant(data) {
  return request({
    url: "/sys/tenant",
    method: "put",
    data: data,
  });
}

// 删除租户
export function delTenant(tenantId) {
  return request({
    url: "/sys/tenant/" + tenantId,
    method: "delete",
  });
}

export function registerUser(data) {
  return request({
    url: `/sys/tenant/${data.tenantId}`,
    method: "put",
    data,
  });
}
